Bug 245080 - Review Request: libntlm - library that implement NTLM authentication derived from Samba sources.
Summary: Review Request: libntlm - library that implement NTLM authentication derived...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Patrice Dumas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-20 21:51 UTC by Nikolay Vladimirov
Modified: 2011-07-11 18:31 UTC (History)
3 users (show)

Fixed In Version: 0.3.13-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-02 16:12:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Nikolay Vladimirov 2007-06-20 21:51:56 UTC
Spec URL: http://ns.bgtld.net/build/libntlm.spec
SRPM URL: http://ns.bgtld.net/build/libntlm-0.3.13-1.fc7.src.rpm
Description: 
A library for authenticating with Microsoft NTLM challenge-response,
derived from Samba sources.

Note:
This package is needed for building libgsasl with NTLM support. 

I need a sponsor.

Comment 1 Patrice Dumas 2007-06-20 22:13:27 UTC
The %doc files that are in main package are not needed in -devel.

It would be better to keep timestamps for noarch files to
have the same timestamps for all arches in multilib. The
noarch file is 
%{_includedir}/ntlm.h
and is generated from configure so maybe you could do something along
touch -r NEWS $RPM_BUILD_ROOT%{_includedir}/ntlm.h


The
Requires: pkgconfig
should be for devel only.

There should also be a 
BuildRequires: pkgconfig

I think the Summary should have NTLM instead of 'Microsoft WinNT domain'
since it is better known.

Comment 2 Nikolay Vladimirov 2007-06-20 22:37:21 UTC
* Thu Jun 21 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 0.3.13-2
- fixed summary
- fixed requires and buildrequires for pkgconfig
- fixed the timestamp of ntlm.h

Spec URL: http://ns.bgtld.net/build/libntlm.spec
SRPM URL: http://ns.bgtld.net/build/libntlm-0.3.13-2.fc7.src.rpm


Comment 3 Patrice Dumas 2007-06-21 07:21:04 UTC
Everything is almost fine

* rpmlint is almost silent
W: libntlm mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 12)
You can fix it if you like.
* free software with license included
* follow naming and packaging guidelines
* sane provides:
Provides: libntlm.so.0
* match upstream 
14e8aa077e032ae353b885a6d82ee668  libntlm-0.3.13.tar.gz
* %files section right
* development symlink and headers in -devel
* no static lib

It would be nice to have a description of the API, but there is
none upstream, so...

There is one real issue (apart from the tab in the spec file), 
the source file timestamp isn't kept:
$ ls -l libntlm-0.3.13.tar.gz ../SOURCES/libntlm-0.3.13.tar.gz 
-rw-rw-r-- 1 dumas dumas 419505 mar 27 18:40 libntlm-0.3.13.tar.gz
-rw-rw-r-- 1 dumas dumas 419505 jun 20 22:04 ../SOURCES/libntlm-0.3.13.tar.gz

So, please when you import the package use a source file with the
right timestamp. This can be achieved with wget -N or spectool -g.

It is APPROVED, and I'll sponsor you when gsasl and msmtp
are also approved.

Comment 4 Nikolay Vladimirov 2007-06-21 07:57:18 UTC
Great! 

* Thu Jun 21 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 0.3.13-3
- minor mixed-use-of-spaces-and-tabs fix

Spec URL: http://ns.bgtld.net/build/libntlm.spec
SRPM URL: http://ns.bgtld.net/build/libntlm-0.3.13-3.fc7.src.rpm

Also used source file with correct timestamp .



Comment 5 Nikolay Vladimirov 2007-06-23 11:09:50 UTC
New Package CVS Request
=======================
Package Name:  libntlm
Short Description: NTLM authentication library
Owners: nikolay@vladimiroff.com
Branches: FC-6 F-7
InitialCC: 

Comment 6 Kevin Fenzi 2007-06-25 18:47:03 UTC
cvs done.

Comment 7 Fedora Update System 2007-07-02 16:12:00 UTC
libntlm-0.3.13-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Nikolay Vladimirov 2009-01-19 11:05:58 UTC
Package Change Request
======================
Package Name: libntlm
New Branches: EL-5
Owners: turki

Comment 9 Kevin Fenzi 2009-01-19 23:23:42 UTC
cvs done.

Comment 10 Nikolay Vladimirov 2011-07-11 18:22:28 UTC
Package Change Request
======================
Package Name: libntlm
New Branches: EL-4
Owners: turki

Comment 11 Gwyn Ciesla 2011-07-11 18:31:03 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.